org.apache.tools.ant.input

## Class GreedyInputHandler

- java.lang.Object
- - org.apache.tools.ant.input.DefaultInputHandler
  - - org.apache.tools.ant.input.GreedyInputHandler

All Implemented Interfaces:
  InputHandler

    public class GreedyInputHandler
    extends DefaultInputHandler

Prompts on System.err, reads input from System.in until EOF

Since:
  Ant 1.7

### Constructor Summary

Constructors
Constructor and Description
`GreedyInputHandler()` Empty no-arg constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleInput(InputRequest request)` Prompts and requests input.

### Methods inherited from class org.apache.tools.ant.input.DefaultInputHandler

`getInputStream, getPrompt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GreedyInputHandler

    public GreedyInputHandler()

Empty no-arg constructor

### Method Detail

#### handleInput

    public void handleInput(InputRequest request)
                     throws BuildException

Prompts and requests input.

Specified by:
  `handleInput` in interface `InputHandler`
Overrides:
  `handleInput` in class `DefaultInputHandler`
Parameters:
  `request` - the request to handle
Throws:
  `BuildException` - if not possible to read from console, or if input is invalid.